Subject: bug#33054: closed (Re: bug#33054: 25.2; diff-model: M-k kills wrong hunk)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 16 Oct 2018 19:07:02 +0000

Your bug report

#33054: 25.2; diff-model: M-k kills wrong hunk

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33054: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33054
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33054: 25.2; diff-model: M-k kills wrong hunk
From: "dima\@secretsauce.net" <[email-masked]>
To: Alan Mackenzie <[email-masked]>
Cc: [email-masked]
Date: Tue, 16 Oct 2018 12:06:10 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Mackenzie <[email-masked]> writes:

>> Steps to reproduce bug:
>
>> - Open attached diff. Emacs should open it in diff-mode
>> - Put point on 'd' in the second "diff": (goto-char 98)
>> - M-k
>
>> This should kill the hunk we're on.
>
> It does that for me.

Hi Alan. Thanks for the response. I was consistently seeing the problem,
but poked around a bit more after seeing your comment. I found the
issue: I was doing something wrong (specifics completely uninteresting).
There is no issue, and I'm closing the bug. Sorry for the noise.

Subject: 25.2; diff-model: M-k kills wrong hunk
From: Dima Kogan <[email-masked]>
To: [email-masked]
Date: Mon, 15 Oct 2018 13:56:27 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using a very recent build: e4896856172

Steps to reproduce bug:

- Open attached diff. Emacs should open it in diff-mode
- Put point on 'd' in the second "diff": (goto-char 98)
- M-k

This should kill the hunk we're on. We are unambiguously sitting on the
second hunk, but the latest diff-mode is confused, thinks we're on the
first hunk, and kills that instead. Kinda. Moving the point even one
character forward makes it work.

diff --git a/111.py b/111.py
--- a/111.py
+++ b/111.py
@@ -154,3 +154,3 @@
 
-    aaa
+    bbb
 
diff --git a/222.py b/222.py
--- a/222.py
+++ b/222.py
@@ -224,3 +230,3 @@ writemodel(m_to)
     asdf
-    21234
+    345
     zxcv